Skip to main content
GET
Check business name eligibility

Authorizations

Authorization
string
header
required

Enter your API key in the format: sk_test_xxxxx or sk_live_xxxxx

Path Parameters

registration_jurisdiction
string
required

US jurisdiction (ISO 3166-2), e.g., US-TX

Example:

"US-TX"

Query Parameters

name
string
required

Prospective business name to check

Example:

"Maple Street Ventures LLC"

entity_type
enum<string>
required

Entity type to check the name against

Available options:
llc,
pllc,
corporation,
pcorporation
suggest
boolean

Return alternative name suggestions. Note: this increases response time.

Example:

false

screen
boolean

Screen the name for content issues (obscenity, deceptive agency similarity). Note: this increases response time.

Example:

false

Response

Eligibility result returned successfully

eligible
boolean
required

True when the name is both compliant with naming rules and available

compliant
boolean
required

True when the name has no hard naming-rule violations

violations
object[]
required

Naming-rule violations, empty when compliant

available
boolean
required

True when no active registered business holds this exact name

corrections
object[]
required

Deterministic, eligible fixes to the submitted name (e.g. a missing designator)

alternatives
string[]
required

Eligible alternative names (only when suggest=true)

Example: